Subject: Re: [Mip4] RFC 5944 on IP Mobility Support for IPv4, Revised

From: Alexandru Petrescu <[email-masked]>
Date: Wed, 01 Dec 2010 19:38:30 +0100

It is excellent news to have a new version of Mobile IPv4 RFC.  Thanks!

I have the following comments:

- it could refer to rfc5177 when it talks mobile routers.
- sometimes there is a need that MN uses a link-local address when
   returning home and de-registering, otherwise it may provoke a
   deadlock with its HA via ARP of the Home Address.
- there may be a need to have the ability to switch a tunnel type (of
   the same HoA), on the HA ; for example, when MN registers a publicly
   routable CoA the shortest header is IP-in-IP whereas when it
   registers a non-routable address behind NAT it must use UDP tunnel -
   I think currently there is no means for HA to dynamically change the
   tunnel type for a given HoA.  One particular HA implementation
   can't switch.

Alex

Le 30/11/2010 19:22, [email-masked] a écrit :
>
> A new Request for Comments is now available in online RFC libraries.
>
>
> RFC 5944
>
> Title:      IP Mobility Support for IPv4, Revised Author:     C.
> Perkins, Ed. Status:     Standards Track Stream:     IETF Date:
> November 2010 Mailbox:    [email-masked] Pages:      100
> Characters: 239935 Obsoletes:  RFC3344
>
> I-D Tag:    draft-ietf-mip4-rfc3344bis-10.txt
>
> URL:        http://www.rfc-editor.org/rfc/rfc5944.txt
>
> This document specifies protocol enhancements that allow transparent
> routing of IP datagrams to mobile nodes in the Internet.  Each mobile
> node is always identified by its home address, regardless of its
> current point of attachment to the Internet.  While situated away
> from its home, a mobile node is also associated with a care-of
> address, which provides information about its current point of
> attachment to the Internet.  The protocol provides for registering
> the care-of address with a home agent.  The home agent sends
> datagrams destined for the mobile node through a tunnel to the
> care-of address.  After arriving at the end of the tunnel, each
> datagram is then delivered to the mobile node.  [STANDARDS-TRACK]
>
> This document is a product of the Mobility for IPv4 Working Group of
> the IETF.
>
> This is now a Proposed Standard Protocol.
>
> STANDARDS TRACK: This document specifies an Internet standards track
> protocol for the Internet community,and requests discussion and
> suggestions for improvements.  Please refer to the current edition of
> the Internet Official Protocol Standards (STD 1) for the
> standardization state and status of this protocol.  Distribution of
> this memo is unlimited.
>
> This announcement is sent to the IETF-Announce and rfc-dist lists. To
> subscribe or unsubscribe, see
> http://www.ietf.org/mailman/listinfo/ietf-announce
> http://mailman.rfc-editor.org/mailman/listinfo/rfc-dist
>
> For searching the RFC series, see
> http://www.rfc-editor.org/rfcsearch.html. For downloading RFCs, see
> http://www.rfc-editor.org/rfc.html.
>
> Requests for special distribution should be addressed to either the
> author of the RFC in question, or to [email-masked].
> Unless specifically noted otherwise on the RFC itself, all RFCs are
> for unlimited distribution.
>
>
> The RFC Editor Team Association Management Solutions, LLC
>
>
> -- Mip4 mailing list: [email-masked] Web interface:
> https://www.ietf.org/mailman/listinfo/mip4 Charter page:
> http://www.ietf.org/html.charters/mip4-charter.html Supplemental
> site: http://www.mip4.org/
>